
# Welcome Ecology Students

# Orientation:

#Hash tags (#) precede notes
# to run a command, place the cursor on that line and press CTRL+ENTER.  
#You may also highlight entire strings and nd press CTRL+ENTER.

#Begin by creating a single folder (on desktop) that will store all input and output files.B
#Add the following files to the folder you created:
# Ecology_Morph_Climate_Corr.csv
# Ecology_Morph_Climate_Corr - R  file

# open Ecology_Morph_Climate_Corr.csv *excel file)
# Delete all climate variables that you are not interested (leave only the variables you want to test)
# IMPORTANT: keep Column A (Names) and Row 1 (column headers)

# Go to Session tab--> set working Directory --> TO Source file location

# Load necessary packages (required once each session)
library(psych)
library(MuMIn)
library(lme4) # if using random effects
library(ggplot2)
library(factoextra)
library(dummies)
library(Hmisc)



# Read in data from csv file
plants <- read.csv("Ecology_Morph_Climate_Corr.csv")

# look at the data file and structure to ensure it is what you meant to upload
View(plants)
str(plants)
describe(plants)
summary(plants)


# Create Row names

plants2 <- plants[,-1]
rownames(plants2) <- plants[,1]

#Check data again
View(plants2)
str(plants2)
describe(plants2)
summary(plants2)

# look at the data for normality by making histograms
# change "Biomass" text to your variable of interest.. repeat for all variables of interest, 
#copy/paste more commands as needed
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)
hist(plants2$Biomass)

# Save histograms by exporting them and saving to your directory
#.pdf is the most versitile, but images  work too

# You will need to adjust the last value in the expression ..... 1:33] on line 73 and 74
# Leave all data, but change the last number (33) to reflect thenumber of columns your data files has -1
plants2.active <- plants2[1:36, 1:33]
head(plants2.active[, 1:33], 10)
str(plants2.active)
View(plants2.active)

#ensure that the data in plants2.active looks like your the .CSV with your variables. 
# enter the command to calculate Pearson correlation coeficcients and significance values
# if you have a large matrix that spills over ontl multiple lines
#you may want to enlarge the console window by shrinking the right toolbar

res2<- rcorr (as.matrix(plants2.active))
res2

#export your correlation matrix and p-values to a .csv file that will show up in your source folder
sink("Correlation matrix.txt")
print(res2)
sink()

#evaluate correlations among climate variables and the traits you selected
# The first table presents Pearson Correlation Coefficients (R)- the strength of relationship/correlation
#R ranges from 0 (no correlation) to 1 (complete correlation)
#note that large tables may spill into a second row

#The second table (P) shows the corresponding p-values according to how liklely it is that the test 
# result (correlation) is different from the null hypothesis of no correlation (r (X,Y)=0)

#follow the rest of the instructions on your worksheet

